summaryrefslogtreecommitdiff
path: root/tests/scripts/variables
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>2006-01-04 14:45:16 +0000
committerPaul Smith <psmith@gnu.org>2006-01-04 14:45:16 +0000
commit64e16d6c00a59fcff9681e032ac8dbec46d3e960 (patch)
tree48a8511b273fdfc555442951b97cca3fceb79ee6 /tests/scripts/variables
parent3d0d9e5d75eecd48d106918e0f568590f67fc26a (diff)
downloadgunmake-64e16d6c00a59fcff9681e032ac8dbec46d3e960.tar.gz
Various changes getting ready for the release of 3.81.
- Updates to make.texi and make.1 and other documentation - Some VMS patches - Fix minor bugs reported on the mailing list and from Debian.
Diffstat (limited to 'tests/scripts/variables')
-rw-r--r--tests/scripts/variables/automatic21
1 files changed, 16 insertions, 5 deletions
diff --git a/tests/scripts/variables/automatic b/tests/scripts/variables/automatic
index dc08bd7..847c836 100644
--- a/tests/scripts/variables/automatic
+++ b/tests/scripts/variables/automatic
@@ -87,11 +87,22 @@ run_make_test('
mbr.b: mbr.src
@echo $*
-mbr.src: ; @:
+mbr.src: ; @:',
+ '',
+ 'mbr');
-',
-'',
-'mbr
-');
+# TEST #3 -- test for Savannah bug #8154
+# Make sure that nonexistent prerequisites are listed in $?, since they are
+# considered reasons for the target to be rebuilt.
+#
+touch('foo');
+
+run_make_test('
+foo: bar ; @echo "\$$? = $?"
+bar: ;',
+ '',
+ '$? = bar');
+
+unlink('foo');
1;